<?php

// Exit if accessed directly.
if ( !defined('ABSPATH') ) {
	exit;
}

if (!class_exists('SO_Admin_Post_Type')) {

	class SO_Admin_Post_Type {

		/**
		 * Constructor
		 */
		public function __construct() {
			add_action( 'init', array( __CLASS__, 'register_post_type' ), 20 );
		}

		/**
		 * Register core post types
		 */
		public static function register_post_type() {

			if ( post_type_exists('smart_offers') ) {
				return;
			}

			$labels = array(
							'name' 					=> __( 'Smart Offers', 'smart-offers' ),
							'singular_name' 		=> __( 'Smart Offer', 'smart-offers' ),
							'menu_name' 			=> __( 'Smart Offers', 'smart-offers' ),
							'add_new' 				=> __( 'Add New Offer', 'post', 'smart-offers' ),
							'add_new_item' 			=> __( 'Add New Offer', 'smart-offers' ),
							'edit' 					=> __( 'Edit', 'smart-offers' ),
							'edit_item' 			=> __( 'Edit Offer', 'smart-offers' ),
							'new_item' 				=> __( 'New Offer', 'smart-offers' ),
							'search_items' 			=> __( 'Search Offers', 'smart-offers' ),
							'not_found' 			=> __( 'No offers found', 'smart-offers' ),
							'not_found_in_trash' 	=> __( 'No offers found in Trash', 'smart-offers' ),
							'parent' 				=> __( 'Parent offer', 'smart-offers' )
						);

			$args = array(
							'labels' 				=> $labels,
							'description' 			=> '',
							'publicly_queryable' 	=> true,
							'exclude_from_search' 	=> true,
							'capability_type' 		=> 'post',
							'public' 				=> true,
							'hierarchical' 			=> false,
							'rewrite' 				=> array( 'slug' => 'smart_offer', 'with_front' => true, 'feeds' => true, 'pages' => true ),
							'has_archive' 			=> true,
							'query_var' 			=> 'smart_offer',
							'supports' 				=> array('title'),
							'menu_position' 		=> 57,
							'menu_icon'				=> 'dashicons-cart',
							'show_ui' 				=> true,
							'show_in_menu' 			=> true,
							'show_in_nav_menus' 	=> true
						);

			register_post_type('smart_offers', $args);

		}

	}

	return new SO_Admin_Post_Type();
}